Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
How to resolve this?
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
ONEEYEMAN
Advocate
Advocate


Joined: 01 Mar 2005
Posts: 2049

PostPosted: Wed Feb 13, 2013 2:33 am    Post subject: How to resolve this? Reply with quote

Hi, ALL,
I just did "emerge --sync" and here's what I got:

Code:

IgorReinCloud igor # emerge -pv gentoo-sources

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U  ] sys-apps/hwids-20130114 [20120922] USE="udev%*" 1,437 kB
[ebuild  NS    ] sys-kernel/gentoo-sources-3.6.11:3.6.11 [3.1.6:3.1.6, 3.5.7:3.5.7] USE="-build -deblob -symlink" 80,623 kB
[ebuild  N     ] sys-apps/kmod-12-r1  USE="tools zlib -debug -doc -lzma -static-libs" 1,246 kB
[uninstall     ] sys-apps/module-init-tools-3.16-r1  USE="-static"
[blocks b      ] sys-apps/module-init-tools ("sys-apps/module-init-tools" is blocking sys-apps/kmod-12-r1)
[ebuild     U  ] sys-fs/udev-197-r4 [171-r8] USE="acl%* gudev hwdb introspection* keymap kmod%* openrc%* -doc% (-selinux) -static-libs% (-action_modeswitch%) (-build%) (-debug%) (-edd%) (-extras%) (-floppy%) (-rule_generator%*) (-test%)" 2,008 kB
[ebuild  N     ] virtual/udev-197  USE="gudev hwdb introspection keymap kmod (-selinux) -static-libs" 0 kB
[ebuild  N     ] sys-fs/udev-init-scripts-22  5 kB
[blocks B      ] <sys-fs/lvm2-2.02.97-r1 ("<sys-fs/lvm2-2.02.97-r1" is blocking sys-fs/udev-197-r4)
[blocks B      ] <sys-fs/udev-186 ("<sys-fs/udev-186" is blocking sys-fs/udev-init-scripts-22)
[blocks B      ] <sys-apps/openrc-0.9.9 ("<sys-apps/openrc-0.9.9" is blocking sys-fs/udev-197-r4)

Total: 6 packages (2 upgrades, 3 new, 1 in new slot, 1 uninstall), Size of downloads: 85,317 kB
Conflict: 4 blocks (3 unsatisfied)

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

sys-fs/udev:0

  (sys-fs/udev-197-r4::gentoo, ebuild scheduled for merge) pulled in by
    >=sys-fs/udev-197-r3[gudev?,hwdb?,introspection?,keymap?,kmod?,selinux?,static-libs?] required by (virtual/udev-197::gentoo, ebuild scheduled for merge)

  (sys-fs/udev-171-r8::gentoo, installed) pulled in by
    <sys-fs/udev-185 required by (net-wireless/bluez-4.99::gentoo, installed)


It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously.  If such a conflict exists in
the dependencies of two different packages, then those packages can
not be installed simultaneously.

For more information, see MASKED PACKAGES section in the emerge man
page or refer to the Gentoo Handbook.


!!! The following installed packages are masked:
- dev-util/eclipse-sdk-3.5.1-r1::gentoo (masked by: package.mask)
/usr/portage/profiles/package.mask:
# Ralph Sennhauser <sera@gentoo.org> (18 Jul 2012)
# Unmaintained, multiple vulnarabilities. #351626
# A more recent source build maintained by the community is available in the
# seden overlay. A more recent binary is available in the java-overlay.

For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.


 * IMPORTANT: 2 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.


Why is it pulling 2 versions of "udev"? And why so many dependencies?
It used to be just gentoo-sources and that's it...

Thank you.
Back to top
View user's profile Send private message
Bones McCracker
Veteran
Veteran


Joined: 14 Mar 2006
Posts: 1563
Location: U.S.A.

PostPosted: Wed Feb 13, 2013 3:01 am    Post subject: Reply with quote

Big changes are going on in udev-land. There is much discussion pertaining to this in gentoo-chat.

It looks here like your net-wireless/bluez-4.99 is requiring an old version of udev, and this is causing the conflict. The version you are using does not appear to be the latest stable version:
Code:
~ # equery keywords bluez
Keywords for net-wireless/bluez:
         |                           | u   | 
         | a a             p     s   | n   | 
         | l m   h i m m   p s   p   | u s | r
         | p d a p a 6 i p c 3   a x | s l | e
         | h 6 r p 6 8 p p 6 9 s r 8 | e o | p
         | a 4 m a 4 k s c 4 0 h c 6 | d t | o
---------+---------------------------+-----+-------
 4.99    | o + + + o o o + + o o o + | # 0 | gentoo
4.101-r4 | o ~ ~ ~ o o o ~ ~ o o o ~ | #   | gentoo
4.101-r5 | o + + + o o o + + o o o + | o   | gentoo

Looking quickly at the bluez ebuild, it looks like the dependency on udev has been changed from "~virtual/udev-171" to ">=virtual/udev-171".

First, if you're on one of the archs that bluez isn't keyworded for, and you've got it manually keyworded in /etc/portage, update that to the latest version. If you've got some bluez versions masked, get rid of that. Then update bluez. Then try to run your update again.
Code:
emerge -1 bluez
emerge -uavDN world

Note that the udev upgrade brings with it changes to udev rules. Pay attention to the elog messages, read your enews if any, and after you've emerged udev, check for a file /etc/udev/rules.d/80-something, and read that file (if it's not a symlink to /dev/null).
_________________
True Liberals are individualists. Democrats, on the other hand, are authoritarian collectivists.


Last edited by Bones McCracker on Wed Feb 13, 2013 3:09 am; edited 1 time in total
Back to top
View user's profile Send private message
ONEEYEMAN
Advocate
Advocate


Joined: 01 Mar 2005
Posts: 2049

PostPosted: Wed Feb 13, 2013 3:08 am    Post subject: Reply with quote

Hi,
Thank you for the reply, but...

What is bluez? I don't use this package.
I guess it's just a dependency of one of the packages on my system... Which means that I need to start from that package, right?
If yes, then the big question is: which package depends on bluez?

Thank you.
Back to top
View user's profile Send private message
Bones McCracker
Veteran
Veteran


Joined: 14 Mar 2006
Posts: 1563
Location: U.S.A.

PostPosted: Wed Feb 13, 2013 3:11 am    Post subject: Reply with quote

ONEEYEMAN wrote:
Hi,
Thank you for the reply, but...

What is bluez? I don't use this package.
I guess it's just a dependency of one of the packages on my system... Which means that I need to start from that package, right?
If yes, then the big question is: which package depends on bluez?

Thank you.

Yes. Well, bluez is for bluetooth, and you've got it installed, according to that emerge output. To find out why, you should be able to do a:
Code:
equery depends bluez

There may be a USE flag you can disable to get rid of this dependency (like maybe a "bluetooth" flag?).

I don't use the "desktop" profile, but USE="bluetooth" may be enabled by the profile by default. If you don't use bluetooth at all, you could just put "-bluetooth" into the USE variable in your make.conf file to get rid of it.
_________________
True Liberals are individualists. Democrats, on the other hand, are authoritarian collectivists.
Back to top
View user's profile Send private message
ONEEYEMAN
Advocate
Advocate


Joined: 01 Mar 2005
Posts: 2049

PostPosted: Wed Feb 13, 2013 3:25 am    Post subject: Reply with quote

BoneKracker,
Yep, that was it.

No, here is the list of the dependencies:

Code:

IgorReinCloud igor # equery depends bluez
 * These packages depend on bluez:
app-laptop/laptop-mode-tools-1.60-r1 (bluetooth ? net-wireless/bluez)
app-mobilephone/obex-data-server-0.4.5 (>=net-wireless/bluez-4.31)
dev-libs/openobex-1.5 (bluetooth ? net-wireless/bluez)
gnome-base/gvfs-1.12.3 (bluetooth ? net-wireless/bluez)
media-sound/pulseaudio-2.1-r1 (bluetooth ? >=net-wireless/bluez-4)
media-video/totem-2.32.0-r2 (bluetooth ? net-wireless/bluez)


So, now all I need to do is:

Code:

emerge -1 laptop-mode-tools obex-data-server openobex gvfs pulseaudio totem
emerge --unmerge bluez


right?

My laptop does not even have BlueTooth, so I can safely get rid of this package.

Thank you.
Back to top
View user's profile Send private message
Bones McCracker
Veteran
Veteran


Joined: 14 Mar 2006
Posts: 1563
Location: U.S.A.

PostPosted: Wed Feb 13, 2013 3:34 am    Post subject: Reply with quote

ONEEYEMAN wrote:
BoneKracker,
Yep, that was it.

No, here is the list of the dependencies:

Code:

IgorReinCloud igor # equery depends bluez
 * These packages depend on bluez:
app-laptop/laptop-mode-tools-1.60-r1 (bluetooth ? net-wireless/bluez)
app-mobilephone/obex-data-server-0.4.5 (>=net-wireless/bluez-4.31)
dev-libs/openobex-1.5 (bluetooth ? net-wireless/bluez)
gnome-base/gvfs-1.12.3 (bluetooth ? net-wireless/bluez)
media-sound/pulseaudio-2.1-r1 (bluetooth ? >=net-wireless/bluez-4)
media-video/totem-2.32.0-r2 (bluetooth ? net-wireless/bluez)


So, now all I need to do is:

Code:

emerge -1 laptop-mode-tools obex-data-server openobex gvfs pulseaudio totem
emerge --unmerge bluez


right?

My laptop does not even have BlueTooth, so I can safely get rid of this package.

Thank you.

No, edit your make.conf file, and put "-bluetooth" in there with your other USE flags. Also verify you don't have "bluetooth" anywhere in /etc/portage/package.use. That will get rid of all of these except
Code:
app-mobilephone/obex-data-server-0.4.5 (>=net-wireless/bluez-4.31)

To solve that one, you now have to find out what depends on it, so you can get rid of it too (it was probably required by one of these other tools that's getting removed, but you should check).
Code:
equery depends obex-data-server

If nothing now depends on it, don't worry about it; it will vanish when you run 'emerge --depclean' after your update. If nothing but "world" depends on it, then 'unmerge obex-data-server.

This should have cleaned out everything depending on bluez. So now you should be able to run the update:
Code:
emerge -uavDN world


After you run your update, do:
Code:
emerge --depclean
revdep-rebuild


That should put your system in a fairly consistent state.
_________________
True Liberals are individualists. Democrats, on the other hand, are authoritarian collectivists.
Back to top
View user's profile Send private message
ONEEYEMAN
Advocate
Advocate


Joined: 01 Mar 2005
Posts: 2049

PostPosted: Wed Feb 27, 2013 8:48 pm    Post subject: Reply with quote

Hi,
Sorry for a long delay.
I finally rebooted into Gentoo and here is what I got:

Code:

IgorReinCloud igor # emerge --info | grep blue
IgorReinCloud igor #

IgorReinCloud igor # emerge -pvuDN world

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N     ] dev-python/python-exec-0.2  PYTHON_TARGETS="(jython2_5) (python2_5) (python2_6) (python2_7) (python3_1) (python3_2) (-pypy1_9) (-pypy2_0) (-python3_3)" 64 kB
[ebuild     U  ] app-emulation/virtualbox-additions-4.1.22 [4.1.12] 50,984 kB
[ebuild   R    ] virtual/python-argparse-0  PYTHON_TARGETS="python2_7 python3_2 -jython2_5 (-pypy1_9) -python2_5 -python2_6 -python3_1 (-python3_3) (-pypy1_8%)" 0 kB
[ebuild   R    ] dev-libs/libdaemon-0.14-r1  USE="-doc -examples -static-libs%" 0 kB
[ebuild   R    ] sys-libs/ncurses-5.9-r2:5  USE="cxx gpm unicode -ada -debug -doc -minimal -profile -static-libs -tinfo% -trace" 0 kB
[ebuild  N     ] dev-libs/mpc-0.8.2  536 kB
[ebuild     U  ] app-emulation/emul-linux-x86-baselibs-20121202 [20120520] USE="-development" 40,236 kB
[ebuild     U  ] dev-libs/libksba-1.3.0 [1.2.0] USE="-static-libs" 611 kB
[ebuild  N     ] sys-apps/gptfdisk-0.8.4  179 kB
[ebuild  N     ] sys-block/thin-provisioning-tools-0.1.5-r1  118 kB
[ebuild     U  ] sys-apps/less-457 [451] USE="pcre unicode" 500 kB
[ebuild   R    ] dev-libs/pth-2.0.7-r3  USE="-debug -static-libs%" 0 kB
[ebuild     U  ] sys-apps/net-tools-1.60_p20120127084908 [1.60_p20110409135728] USE="nls -old-output% -static" 223 kB
[ebuild     U  ] dev-util/pkgconfig-0.28 [0.27.1] USE="-hardened -internal-glib" 1,886 kB
[ebuild     U  ] dev-util/desktop-file-utils-0.21 [0.20-r1] USE="-emacs" 126 kB
[ebuild     U  ] media-libs/freetype-2.4.11:2 [2.4.9-r1:2] USE="X bzip2 -auto-hinter -bindist -debug -doc -fontforge -infinality% -static-libs -utils" 1,510 kB
[ebuild     U  ] sys-kernel/linux-headers-3.6 [3.4-r2] 5,145 kB
[ebuild     U  ] sys-devel/autoconf-2.69:2.5 [2.68:2.5] USE="-emacs" 1,187 kB
[ebuild     U  ] sys-apps/hwids-20130114 [20120922] USE="udev%*" 1,437 kB
[ebuild     U  ] sys-libs/mtdev-1.1.3 [1.1.2] USE="-static-libs" 262 kB
[ebuild     U  ] media-libs/libv4l-0.8.9 [0.8.8] 450 kB
[ebuild   R    ] sys-libs/db-4.8.30:4.8  USE="cxx%* -doc -examples -java -tcl {-test} (-nocxx%)" 22,351 kB
[ebuild   R    ] gnome-base/orbit-2.14.19-r1:2  USE="-debug {-test} (-doc%)" 0 kB
[ebuild     U  ] x11-libs/libdrm-2.4.40 [2.4.33] USE="-libkms -static-libs" VIDEO_CARDS="radeon (-exynos) -intel -nouveau (-omap) -vmware" 482 kB
[ebuild     U  ] x11-proto/randrproto-1.4.0 [1.3.2] 131 kB
[ebuild     U  ] x11-libs/pixman-0.28.0 [0.26.0] USE="sse2 (-altivec) (-iwmmxt) -mmxext% (-neon) -static-libs (-mmx%*) (-test%)" 627 kB
[ebuild     U  ] x11-proto/dri2proto-2.8 [2.6] 107 kB
[ebuild  N     ] x11-misc/xdg-user-dirs-0.14  USE="-gtk -nls" 0 kB
[ebuild     U  ] x11-libs/libXfont-1.4.5-r1 [1.4.5] USE="bzip2%* ipv6 truetype%* -doc -static-libs" 0 kB
[ebuild     U  ] app-laptop/radeontool-1.6.3 [1.5-r3] 359 kB
[ebuild     U  ] x11-libs/libXrandr-1.4.0 [1.3.2] USE="-static-libs" 300 kB
[ebuild     U  ] dev-libs/openssl-1.0.1c [1.0.0j] USE="(sse2) zlib -bindist -gmp -kerberos -rfc3779 -static-libs {-test} -vanilla%" 4,353 kB
[ebuild     U  ] net-misc/iputils-20121221 [20101006-r2] USE="ipv6 ssl -SECURITY_HAZARD -caps% -doc -gnutls% -idn -static" 175 kB
[ebuild   R    ] dev-games/libggz-0.0.14.1  USE="-debug -gnutls -static-libs%" 0 kB
[ebuild     U  ] dev-perl/Net-SSLeay-1.490.0 [1.480.0-r1] 377 kB
[ebuild     U  ] dev-libs/libevent-2.0.21 [2.0.19] USE="ssl -static-libs {-test}" 831 kB
[ebuild     U  ] x11-libs/qt-core-4.8.4-r2:4 [4.8.2:4] USE="exceptions glib iconv pch qt3support ssl (-aqua) -c++0x -debug -icu (-optimized-qmake%) (-qpa%)" 231,048 kB
[ebuild     U  ] x11-libs/qt-script-4.8.4:4 [4.8.2:4] USE="exceptions iconv pch (-aqua) -c++0x -debug (-jit) (-qpa%)" 0 kB
[blocks b      ] <x11-libs/qt-script-4.8.4:4 ("<x11-libs/qt-script-4.8.4:4" is blocking x11-libs/qt-core-4.8.4-r2)
[blocks b      ] <x11-libs/qt-script-4.8.4:4 ("<x11-libs/qt-script-4.8.4:4" is blocking x11-libs/qt-opengl-4.8.4, x11-libs/qt-sql-4.8.4, x11-libs/qt-gui-4.8.4-r1, x11-libs/qt-qt3support-4.8.4, x11-libs/qt-dbus-4.8.4)
[ebuild     U  ] dev-libs/libxml2-2.8.0-r3:2 [2.8.0-r2:2] USE="ipv6 python readline -debug -doc -examples -icu -lzma -static-libs {-test}" 0 kB
[ebuild     U  ] sys-apps/coreutils-8.20 [8.16] USE="acl nls -caps -gmp (-selinux) -static -vanilla -xattr (-unicode%*)" 5,170 kB
[ebuild     U  ] sys-devel/make-3.82-r4 [3.82-r3] USE="nls -static" 0 kB
[ebuild     U  ] sys-process/psmisc-22.20 [22.16] USE="X ipv6 nls (-selinux)" 423 kB
[ebuild     U  ] dev-libs/libxslt-1.1.28 [1.1.27] USE="crypt -debug -python -static-libs" 3,356 kB
[ebuild     U  ] dev-python/pygobject-2.28.6-r52:2 [2.26.0-r1:2] USE="-examples -libffi {-test} (-cairo%*) (-doc%) (-introspection%) (-threads%*)" 730 kB
[ebuild     U  ] sys-devel/flex-2.5.37 [2.5.35_p10] USE="nls -static {-test}" 1,273 kB
[ebuild  NS    ] sys-devel/gcc-4.6.3:4.6 [4.4.5:4.4] USE="cxx gtk mudflap (multilib) nls nptl openmp (-altivec) -doc (-fixed-point) -fortran -gcj -graphite (-hardened) (-libssp) -multislot -nopie -nossp -objc -objc++ -objc-gc {-test} -vanilla" 70,354 kB
[ebuild   R    ] dev-libs/elfutils-0.149  USE="bzip2 nls zlib -lzma" ELIBC="(-glibc%*)" 0 kB
[ebuild     U  ] net-libs/neon-0.29.6-r2 [0.29.6-r1] USE="nls ssl zlib -doc -expat -gnutls -kerberos -libproxy -pkcs11 -static-libs" LINGUAS="-cs -de -fr -ja -nn -pl -ru -tr -zh_CN" 0 kB
[ebuild     U  ] x11-misc/xkeyboard-config-2.7 [2.6] 847 kB
[ebuild   R    ] app-text/rarian-0.8.1-r1  USE="-static-libs% (-debug%)" 449 kB
[ebuild     U  ] sys-devel/gdb-7.5 [7.3.1] USE="client%* nls python server%* zlib%* -expat -multitarget {-test} -vanilla" 20,837 kB
[ebuild     U  ] sys-devel/llvm-3.1-r2 [3.0-r2] USE="libffi -debug -gold -multitarget -ocaml {-test} -udis86 -vim-syntax" 10,818 kB
[ebuild     U  ] app-crypt/pinentry-0.8.2 [0.8.1] USE="gtk ncurses -caps -qt4 -static" 419 kB
[ebuild     U  ] dev-games/ggz-client-libs-0.0.14.1-r1 [0.0.14.1] USE="-debug -static-libs%" 0 kB
[ebuild   R    ] dev-libs/atk-2.4.0  USE="introspection nls (-doc%)" 0 kB
[ebuild     U  ] media-libs/gst-plugins-good-0.10.31:0.10 [0.10.30:0.10] USE="nls%* orc (-debug%)" 2,674 kB
[ebuild     U  ] media-plugins/gst-plugins-x-0.10.36:0.10 [0.10.35:0.10] 0 kB
[ebuild     U  ] media-plugins/gst-plugins-gio-0.10.36:0.10 [0.10.35:0.10] 0 kB
[ebuild     U  ] media-plugins/gst-plugins-alsa-0.10.36:0.10 [0.10.35:0.10] 0 kB
[ebuild     U  ] media-plugins/gst-plugins-vorbis-0.10.36:0.10 [0.10.35:0.10] 0 kB
[ebuild     U  ] media-plugins/gst-plugins-xvideo-0.10.36:0.10 [0.10.35:0.10] 0 kB
[ebuild     U  ] media-plugins/gst-plugins-ogg-0.10.36:0.10 [0.10.35:0.10] 0 kB
[ebuild     U  ] media-plugins/gst-plugins-cdparanoia-0.10.36:0.10 [0.10.35:0.10] 0 kB
[ebuild     U  ] media-plugins/gst-plugins-theora-0.10.36:0.10 [0.10.35:0.10] 0 kB
[ebuild     U  ] media-plugins/gst-plugins-dvdread-0.10.19:0.10 [0.10.18:0.10] 0 kB
[ebuild     U  ] media-plugins/gst-plugins-a52dec-0.10.19:0.10 [0.10.18:0.10] USE="orc" 0 kB
[ebuild     U  ] media-plugins/gst-plugins-resindvd-0.10.23:0.10 [0.10.22:0.10] 0 kB
[ebuild     U  ] media-plugins/gst-plugins-soup-0.10.31:0.10 [0.10.30:0.10] 0 kB
[ebuild     U  ] media-plugins/gst-plugins-mad-0.10.19:0.10 [0.10.18:0.10] 0 kB
[ebuild     U  ] media-plugins/gst-plugins-flac-0.10.31:0.10 [0.10.30:0.10] 0 kB
[ebuild     U  ] media-plugins/gst-plugins-lame-0.10.19:0.10 [0.10.18:0.10] 0 kB
[ebuild     U  ] media-plugins/gst-plugins-faad-0.10.23:0.10 [0.10.22:0.10] 0 kB
[ebuild     U  ] media-plugins/gst-plugins-dts-0.10.23:0.10 [0.10.22:0.10] USE="orc" 0 kB
[ebuild     U  ] dev-python/gst-python-0.10.22:0.10 [0.10.21:0.10] USE="-examples {-test}" 618 kB
[ebuild  NS    ] dev-lang/python-3.2.3:3.2 [2.7.3-r2:2.7, 3.1.5:3.1] USE="gdbm ipv6 ncurses readline sqlite ssl threads (wide-unicode) xml -build -doc -examples -tk -wininst" 8,775 kB
[ebuild     U  ] x11-proto/xcb-proto-1.8 [1.7.1] 123 kB
[ebuild     U  ] x11-libs/libxcb-1.9 [1.8.1] USE="-doc (-selinux) -static-libs" 379 kB
[ebuild     U  ] media-libs/mesa-9.0.1 [8.0.4-r1] USE="classic egl gallium llvm nptl shared-glapi -bindist -debug -g3dvl -gbm -gles1 -gles2 -openvg -osmesa -pax_kernel -pic -r600-llvm-compiler% (-selinux) -vdpau (-wayland) -xa -xorg% -xvmc (-shared-dricore%)" VIDEO_CARDS="radeon -i915 -i965 -intel -nouveau -r100 -r200 -r300 -r600 -radeonsi% -vmware" 5,973 kB
[ebuild     U  ] dev-python/setuptools-0.6.30-r1 [0.6.21] PYTHON_TARGETS="python2_7%* python3_2%* -python2_5% -python2_6% -python3_1%" 624 kB
[ebuild     U  ] dev-python/numpy-1.6.2 [1.6.1-r1] USE="-doc -lapack {-test}" 2,525 kB
[ebuild     U  ] dev-python/paramiko-1.9.0 [1.7.7.1] USE="-doc -examples" 796 kB
[ebuild  N     ] dev-util/gdbus-codegen-2.32.4  PYTHON_TARGETS="python2_7 python3_2 -python2_5 -python2_6 -python3_1" 0 kB
[ebuild  N     ] media-libs/glu-9.0.0  USE="(-multilib) -static-libs" 482 kB
[ebuild     U  ] virtual/glu-9.0 [7.0] 0 kB
[ebuild     U  ] x11-libs/cairo-1.10.2-r3 [1.10.2-r2] USE="X glib opengl svg xcb (-aqua) -debug -directfb -doc (-drm) (-gallium) (-openvg) (-qt4) -static-libs" 0 kB
[ebuild     U  ] media-plugins/gst-plugins-pango-0.10.36:0.10 [0.10.35:0.10] 0 kB
[ebuild     U  ] sys-libs/pam-1.1.6-r2 [1.1.5] USE="berkdb cracklib nls -audit -debug -nis (-selinux) {-test} -vim-syntax" 1,265 kB
[ebuild     U  ] net-mail/mailbase-1.1 [1] USE="pam" 0 kB
[ebuild     U  ] dev-java/java-config-2.1.12-r1:2 [2.1.11-r3:2] PYTHON_TARGETS="python2_7%* python3_2%* (-pypy1_9) -python2_6% -python3_1% (-python3_3)" 48 kB
[ebuild  NS    ] sys-kernel/gentoo-sources-3.6.11:3.6.11 [3.1.6:3.1.6, 3.5.7:3.5.7] USE="-build -deblob -symlink" 80,623 kB
[ebuild     UD ] virtual/linux-sources-0 [2.6] USE="(-hardened%)" 0 kB
[ebuild     U  ] app-emulation/emul-linux-x86-xlibs-20121202 [20120520] USE="opengl -development" 2,416 kB
[ebuild     U  ] app-emulation/emul-linux-x86-opengl-20121202-r1 [20120520] USE="-development" 60,640 kB
[ebuild  N     ] sys-apps/kmod-12-r1  USE="tools zlib -debug -doc -lzma -static-libs" 1,246 kB
[uninstall     ] sys-apps/module-init-tools-3.16-r1  USE="-static"
[blocks b      ] sys-apps/module-init-tools ("sys-apps/module-init-tools" is blocking sys-apps/kmod-12-r1)
[ebuild     U  ] app-emulation/virtualbox-modules-4.1.22 [4.1.12] USE="-pax_kernel" 450 kB
[ebuild     U  ] app-portage/gentoolkit-0.3.0.7 [0.3.0.6-r3] 3,117 kB
[ebuild     U  ] x11-libs/qt-dbus-4.8.4:4 [4.8.2:4] USE="exceptions pch (-aqua) -c++0x -debug (-qpa%)" 0 kB
[blocks b      ] <x11-libs/qt-dbus-4.8.4:4 ("<x11-libs/qt-dbus-4.8.4:4" is blocking x11-libs/qt-opengl-4.8.4, x11-libs/qt-sql-4.8.4, x11-libs/qt-gui-4.8.4-r1, x11-libs/qt-script-4.8.4, x11-libs/qt-qt3support-4.8.4)
[blocks b      ] <x11-libs/qt-dbus-4.8.4:4 ("<x11-libs/qt-dbus-4.8.4:4" is blocking x11-libs/qt-core-4.8.4-r2)
[ebuild     U  ] x11-libs/qt-gui-4.8.4-r1:4 [4.8.2:4] USE="accessibility dbus exceptions gif glib mng pch qt3support tiff xv (-aqua) -c++0x -cups -debug -egl -gtkstyle -nas -nis -trace -xinerama (-qpa%)" 0 kB
[blocks b      ] <x11-libs/qt-gui-4.8.4:4 ("<x11-libs/qt-gui-4.8.4:4" is blocking x11-libs/qt-opengl-4.8.4, x11-libs/qt-sql-4.8.4, x11-libs/qt-qt3support-4.8.4, x11-libs/qt-script-4.8.4, x11-libs/qt-dbus-4.8.4)
[blocks b      ] <x11-libs/qt-gui-4.8.4:4 ("<x11-libs/qt-gui-4.8.4:4" is blocking x11-libs/qt-core-4.8.4-r2)
[ebuild     U  ] dev-python/dbus-python-1.1.1 [0.83.2] USE="-doc -examples {-test}" 0 kB
[ebuild   R    ] gnome-base/dconf-0.12.1  USE="-X* -doc" 0 kB
[ebuild     U  ] x11-libs/qt-opengl-4.8.4:4 [4.8.2:4] USE="exceptions pch qt3support (-aqua) -c++0x -debug -egl (-qpa%)" 0 kB
[blocks b      ] <x11-libs/qt-opengl-4.8.4:4 ("<x11-libs/qt-opengl-4.8.4:4" is blocking x11-libs/qt-core-4.8.4-r2)
[blocks b      ] <x11-libs/qt-opengl-4.8.4:4 ("<x11-libs/qt-opengl-4.8.4:4" is blocking x11-libs/qt-sql-4.8.4, x11-libs/qt-dbus-4.8.4, x11-libs/qt-gui-4.8.4-r1, x11-libs/qt-script-4.8.4, x11-libs/qt-qt3support-4.8.4)
[ebuild     U  ] x11-libs/libXaw-1.0.11-r1 [1.0.11] USE="-deprecated% -doc -static-libs" 0 kB
[ebuild   R    ] sys-apps/groff-1.21  USE="X* -examples" LINGUAS="-ja" 3,774 kB
[ebuild    FU ~] dev-java/sun-jdk-1.6.0.39-r1:1.6 [1.6.0.29:1.6] USE="X alsa nsplugin -derby -doc -examples -jce -pax_kernel% -source%" 70,350 kB
[ebuild     U  ] virtual/jdk-1.6.0-r1:1.6 [1.6.0:1.6] 0 kB
[ebuild     U  ] app-text/libspectre-0.2.7 [0.2.6] USE="-debug -doc -static-libs" 379 kB
[ebuild  NS    ] dev-java/xml-commons-external-1.4.01:1.4 [1.3.04:1.3] USE="-doc -source" 668 kB
[ebuild     U  ] dev-java/xjavac-20110814:1 [20041208-r5:1] 3 kB
[ebuild     U  ] dev-java/xerces-2.11.0:2 [2.9.1:2] USE="-doc -examples -source" 1,751 kB
[ebuild     U  ] sys-apps/man-pages-3.45 [3.42] USE="nls" LINGUAS="-da -de -fr -it -ja -nl -pl -ro -ru -zh_CN" 1,730 kB
[ebuild     U  ] dev-java/tomcat-servlet-api-6.0.36:2.5 [6.0.35:2.5] USE="-source" 3,332 kB
[ebuild     U  ] dev-java/slf4j-api-1.6.6 [1.5.11] USE="-doc -source" 2,640 kB
[ebuild   R    ] dev-java/antlr-2.7.7-r2  USE="cxx java -debug -doc -examples -mono -python* -script -source -static-libs" 0 kB
[ebuild   R    ] dev-java/bsf-2.4.0-r1:2.3  USE="-doc -examples -javascript -python* -source -tcl" 0 kB
[ebuild   R    ] gnome-base/gconf-2.32.4:2  USE="gtk%* introspection ldap policykit -debug (-doc%)" 0 kB
[ebuild     U  ] media-plugins/gst-plugins-gconf-0.10.31:0.10 [0.10.30:0.10] 0 kB
[ebuild   R    ] media-gfx/eog-2.32.1:1  USE="dbus exif jpeg lcms svg tiff -debug -python* -xmp (-doc%)" 0 kB
[ebuild   R    ] gnome-base/gnome-keyring-2.32.1-r1  USE="pam -debug {-test} (-doc%)" 0 kB
[ebuild   R    ] gnome-base/libgnome-keyring-2.32.0  USE="-debug {-test} (-doc%)" 0 kB
[ebuild   R    ] dev-libs/libgweather-2.30.3:2  USE="-python (-doc%)" 0 kB
[ebuild   R    ] dev-libs/libgdata-0.8.1-r2  USE="gnome introspection -debug (-doc%)" 0 kB
[ebuild   R    ] gnome-extra/evolution-data-server-2.32.3-r2  USE="gnome-keyring ipv6 ldap weather -kerberos {-test} (-doc%)" 0 kB
[ebuild     U  ] net-misc/vino-2.32.2-r1 [2.32.2] USE="crypt gnome-keyring ipv6 jpeg libnotify ssl telepathy zlib -avahi -debug -networkmanager" 0 kB
[ebuild   R    ] gnome-base/nautilus-2.32.2.1-r2  USE="gnome introspection {-test} -xmp (-doc%)" 0 kB
[ebuild     U  ] sys-apps/openrc-0.11.8 [0.9.8.4] USE="ncurses pam unicode -debug -newnet% (-prefix) (-selinux) -static-libs" 171 kB
[blocks b      ] <sys-apps/openrc-0.9.9.3 ("<sys-apps/openrc-0.9.9.3" is blocking sys-apps/net-tools-1.60_p20120127084908)
[blocks b      ] <sys-apps/openrc-0.11.8 ("<sys-apps/openrc-0.11.8" is blocking sys-libs/pam-1.1.6-r2)
[blocks b      ] <sys-apps/openrc-0.9.9 ("<sys-apps/openrc-0.9.9" is blocking sys-fs/udev-197-r4)
[blocks b      ] <sys-apps/openrc-0.10.1 ("<sys-apps/openrc-0.10.1" is blocking sys-fs/lvm2-2.02.97-r1)
[ebuild     U  ] app-arch/libarchive-3.0.4-r1 [3.0.3] USE="acl bzip2 e2fsprogs iconv lzma zlib -expat -nettle -static-libs -xattr" 3,548 kB
[ebuild     U  ] media-libs/taglib-1.8-r1 [1.7.2] USE="asf mp4 -debug -examples {-test}" 582 kB
[ebuild     U  ] media-plugins/gst-plugins-taglib-0.10.31:0.10 [0.10.30:0.10] 0 kB
[ebuild     U  ] app-text/poppler-0.20.5 [0.20.4] USE="cairo cxx introspection jpeg lcms png tiff utils -cjk -curl -debug -doc -jpeg2k -qt4" 2,108 kB
[ebuild  NS    ] media-libs/musicbrainz-5.0.1:5 [3.0.3:3] USE="-examples {-test}" 107 kB
[ebuild     U  ] dev-db/mysql-5.1.67 [5.1.66] USE="berkdb community perl ssl -big-tables -cluster -debug -embedded -extraengine -latin1 -max-idx-128 -minimal -pbxt -profiling (-selinux) -static {-test} -xtradb" 24,202 kB
[ebuild     U  ] x11-libs/qt-sql-4.8.4:4 [4.8.2:4] USE="exceptions freetds mysql odbc pch qt3support sqlite (-aqua) -c++0x -debug -firebird -oci8 -postgres (-qpa%)" 0 kB
[blocks b      ] >x11-libs/qt-qt3support-4.8.2-r9999:4 (">x11-libs/qt-qt3support-4.8.2-r9999:4" is blocking x11-libs/qt-core-4.8.2, x11-libs/qt-sql-4.8.2, x11-libs/qt-script-4.8.2, x11-libs/qt-gui-4.8.2, x11-libs/qt-opengl-4.8.2, x11-libs/qt-dbus-4.8.2)
[blocks b      ] <x11-libs/qt-sql-4.8.4:4 ("<x11-libs/qt-sql-4.8.4:4" is blocking x11-libs/qt-core-4.8.4-r2)
[blocks b      ] <x11-libs/qt-sql-4.8.4:4 ("<x11-libs/qt-sql-4.8.4:4" is blocking x11-libs/qt-opengl-4.8.4, x11-libs/qt-dbus-4.8.4, x11-libs/qt-gui-4.8.4-r1, x11-libs/qt-script-4.8.4, x11-libs/qt-qt3support-4.8.4)
[ebuild     U  ] x11-libs/qt-qt3support-4.8.4:4 [4.8.2:4] USE="accessibility exceptions pch (-aqua) -c++0x -debug (-qpa%)" 0 kB
[blocks b      ] >x11-libs/qt-script-4.8.2-r9999:4 (">x11-libs/qt-script-4.8.2-r9999:4" is blocking x11-libs/qt-qt3support-4.8.2, x11-libs/qt-core-4.8.2, x11-libs/qt-sql-4.8.2, x11-libs/qt-gui-4.8.2, x11-libs/qt-opengl-4.8.2, x11-libs/qt-dbus-4.8.2)
[blocks b      ] <x11-libs/qt-qt3support-4.8.4:4 ("<x11-libs/qt-qt3support-4.8.4:4" is blocking x11-libs/qt-opengl-4.8.4, x11-libs/qt-sql-4.8.4, x11-libs/qt-gui-4.8.4-r1, x11-libs/qt-script-4.8.4, x11-libs/qt-dbus-4.8.4)
[blocks b      ] >x11-libs/qt-sql-4.8.2-r9999:4 (">x11-libs/qt-sql-4.8.2-r9999:4" is blocking x11-libs/qt-qt3support-4.8.2, x11-libs/qt-core-4.8.2, x11-libs/qt-script-4.8.2, x11-libs/qt-gui-4.8.2, x11-libs/qt-opengl-4.8.2, x11-libs/qt-dbus-4.8.2)
[blocks b      ] >x11-libs/qt-gui-4.8.2-r9999:4 (">x11-libs/qt-gui-4.8.2-r9999:4" is blocking x11-libs/qt-qt3support-4.8.2, x11-libs/qt-core-4.8.2, x11-libs/qt-sql-4.8.2, x11-libs/qt-script-4.8.2, x11-libs/qt-opengl-4.8.2, x11-libs/qt-dbus-4.8.2)
[blocks b      ] >x11-libs/qt-dbus-4.8.2-r9999:4 (">x11-libs/qt-dbus-4.8.2-r9999:4" is blocking x11-libs/qt-qt3support-4.8.2, x11-libs/qt-core-4.8.2, x11-libs/qt-sql-4.8.2, x11-libs/qt-script-4.8.2, x11-libs/qt-gui-4.8.2, x11-libs/qt-opengl-4.8.2)
[blocks b      ] <x11-libs/qt-qt3support-4.8.4:4 ("<x11-libs/qt-qt3support-4.8.4:4" is blocking x11-libs/qt-core-4.8.4-r2)
[blocks b      ] >x11-libs/qt-core-4.8.2-r9999:4 (">x11-libs/qt-core-4.8.2-r9999:4" is blocking x11-libs/qt-qt3support-4.8.2, x11-libs/qt-sql-4.8.2, x11-libs/qt-script-4.8.2, x11-libs/qt-gui-4.8.2, x11-libs/qt-opengl-4.8.2, x11-libs/qt-dbus-4.8.2)
[blocks b      ] >x11-libs/qt-opengl-4.8.2-r9999:4 (">x11-libs/qt-opengl-4.8.2-r9999:4" is blocking x11-libs/qt-qt3support-4.8.2, x11-libs/qt-core-4.8.2, x11-libs/qt-sql-4.8.2, x11-libs/qt-script-4.8.2, x11-libs/qt-gui-4.8.2, x11-libs/qt-dbus-4.8.2)
[ebuild     U  ] dev-libs/cyrus-sasl-2.1.25-r3:2 [2.1.23-r6:2] USE="berkdb gdbm mysql pam sqlite%* ssl -authdaemond -java -kerberos -ldapdb% -openldap -postgres -sample -srp -static-libs% -urandom (-crypt%*) (-ntlm_unsupported_patch%)" 5,088 kB
[ebuild     U  ] app-admin/sudo-1.8.6_p3 [1.8.5_p2] USE="ldap nls pam -offensive (-selinux) -skey" 1,812 kB
[ebuild     U ~] dev-db/mysql-workbench-5.2.46 [5.2.44] USE="gnome-keyring nls -debug -doc -static-libs" 21,373 kB
[ebuild  NS    ] gnome-extra/polkit-gnome-0.105:0 [0.102:obsolete] 0 kB
[ebuild  N     ] x11-themes/gnome-themes-standard-3.4.2  3,014 kB
[ebuild  NS    ] gnome-extra/gucharmap-3.4.1.1:2.90 [3.0.1-r200:0] USE="introspection -cjk -debug -doc {-test}" 2,697 kB
[ebuild  N     ] x11-misc/xdg-user-dirs-gtk-0.9  111 kB
[ebuild  NS    ] gnome-extra/libgda-5.0.3-r1:5 [4.2.11:4] USE="berkdb gnome-keyring gtk introspection ldap mysql ssl -bindist -canvas -debug (-firebird) -graphviz -http -java -json -mdb -oci8 -postgres -sourceview" 11,351 kB
[ebuild  NS    ] x11-libs/gtksourceview-3.4.2:3.0 [2.10.5-r2:2.0] USE="introspection -glade {-test}" 1,185 kB
[ebuild  NS    ] dev-libs/gdl-3.4.2:3 [2.30.1:1] USE="introspection" 511 kB
[ebuild  NS    ] x11-libs/vte-0.32.2:2.90 [0.28.2-r204:0] USE="introspection -debug -doc -glade" 0 kB
[ebuild   R    ] dev-java/swt-3.5.2:3.5  USE="cairo gnome opengl (-xulrunner%*)" 0 kB
[ebuild     U  ] media-libs/sdl-mixer-1.2.12-r3 [1.2.12-r1] USE="flac mad mp3 vorbis wav -fluidsynth -midi -mikmod -mod -modplug -playtools -smpeg -static-libs -timidity" 0 kB
[ebuild     U  ] media-plugins/gst-plugins-mpeg2dec-0.10.19:0.10 [0.10.18:0.10] 0 kB
[ebuild   R    ] app-editors/gedit-2.30.4  USE="spell -doc -python*" 0 kB
[ebuild  NS    ] dev-util/glade-3.12.1:3.10 [3.8.1:3] USE="introspection -debug -doc -python" 2,401 kB
[ebuild   R    ] media-video/totem-2.32.0-r2  USE="nautilus youtube -bluetooth* -debug -iplayer -lirc -nsplugin -python (-tracker) -upnp-av% (-doc%) (-upnp%)" 0 kB
[ebuild   R    ] app-laptop/laptop-mode-tools-1.60-r1  USE="acpi apm -bluetooth* -scsi" 0 kB
[ebuild   R    ] app-cdr/cdrdao-1.2.3-r1  USE="encode mad vorbis -gcdmaster (-pccts%)" 0 kB
[ebuild   R    ] gnome-base/gnome-panel-2.32.1-r3  USE="bonobo eds introspection -networkmanager (-doc%)" 0 kB
[ebuild   R    ] dev-libs/apr-1.4.5:1  USE="urandom uuid -doc -older-kernels-compatibility -static-libs%" 0 kB
[ebuild   R    ] dev-libs/apr-util-1.3.12:1  USE="berkdb freetds gdbm ldap mysql odbc sqlite -doc -postgres -static-libs%" 0 kB
[ebuild     U  ] dev-vcs/subversion-1.7.7 [1.6.17-r7] USE="berkdb dso gnome-keyring nls perl vim-syntax webdav-neon -apache2 -ctypes-python -debug -doc -extras -java -kde -python -ruby -sasl -webdav-serf (-bash-completion%) (-emacs%)" 5,883 kB
[ebuild     U  ] dev-util/anjuta-3.4.3::gentoo [2.32.1.1-r1::x-portage] USE="glade graphviz subversion -debug* -devhelp -doc -introspection (-packagekit) {-test} -vala (-sourceview%*)" 6,033 kB
[ebuild   R    ] mail-client/evolution-2.32.3-r1:2.0  USE="crypt gstreamer ldap ssl (-clutter) -connman -kerberos -networkmanager -python (-doc%)" 0 kB
[ebuild     U  ] media-sound/sound-juicer-2.32.0-r1 [2.32.0] USE="-debug {-test}" 0 kB
[ebuild     U  ] gnome-base/gnome-session-2.32.1-r3 [2.32.1-r2] USE="ipv6 -debug -doc" 0 kB
[ebuild     U  ] app-emulation/virtualbox-4.1.22-r1 [4.1.12] USE="additions alsa extensions java opengl pam pulseaudio qt4 sdk -doc -headless -python -vboxwebsrv -vnc" 71,670 kB
[ebuild     U  ] app-emulation/virtualbox-extpack-oracle-4.1.22 [4.1.12] 10,526 kB
[ebuild     U  ] sys-fs/udev-197-r4 [171-r8] USE="acl%* gudev hwdb introspection* keymap kmod%* openrc%* -doc% (-selinux) -static-libs% (-action_modeswitch%) (-build%) (-debug%) (-edd%) (-extras%) (-floppy%) (-rule_generator%*) (-test%)" 2,008 kB
[ebuild  N     ] virtual/udev-197  USE="gudev hwdb introspection keymap kmod (-selinux) -static-libs" 0 kB
[ebuild  N     ] sys-fs/udev-init-scripts-22  5 kB
[ebuild     U  ] sys-auth/consolekit-0.4.5_p20120320-r1 [0.4.5_p20120320] USE="acl pam policykit -debug -doc (-selinux) {-test}" 0 kB
[ebuild   R    ] media-sound/pulseaudio-2.1-r1  USE="X alsa asyncns caps dbus gdbm glib gnome gtk ipv6 orc ssl tcpd udev webrtc-aec -avahi -bluetooth* -doc -equalizer -jack -libsamplerate -lirc (-oss) -realtime (-system-wide) (-systemd) {-test} -xen" 0 kB
[ebuild     U  ] x11-base/xorg-server-1.13.1 [1.12.2] USE="ipv6 kdrive nptl suid%* udev xorg -dmx -doc -minimal (-selinux) -static-libs -tslib -xnest -xvfb" 5,352 kB
[ebuild     U  ] sys-power/upower-0.9.19 [0.9.18] USE="introspection -debug -doc -ios (-systemd)" 402 kB
[ebuild     U  ] media-plugins/gst-plugins-v4l2-0.10.31:0.10 [0.10.30:0.10] USE="udev%*" 0 kB
[ebuild     U  ] dev-libs/libgusb-0.1.4 [0.1.3] USE="introspection%* -static-libs -vala%" 255 kB
[ebuild     U  ] sys-fs/lvm2-2.02.97-r1 [2.02.88] USE="lvm1 readline thin%* udev%* (-clvm) (-cman) (-selinux) -static* -static-libs*" 1,166 kB
[blocks b      ] <sys-fs/lvm2-2.02.97-r1 ("<sys-fs/lvm2-2.02.97-r1" is blocking sys-fs/udev-197-r4)
[ebuild     U  ] x11-drivers/xf86-input-keyboard-1.6.2 [1.6.1] 0 kB
[ebuild     U  ] x11-drivers/xf86-input-evdev-2.7.3 [2.7.0] 0 kB
[ebuild     U  ] x11-misc/colord-0.1.26:0/1 [0.1.21:0/0] USE="gusb introspection udev -doc -examples -vala (-gtk%) (-scanner%)" 624 kB
[ebuild     U  ] x11-drivers/xf86-input-synaptics-1.6.2-r1 [1.6.2] 0 kB
[ebuild     U  ] x11-drivers/xf86-video-ati-7.0.0 [6.14.4-r1] USE="udev%* (-glamor)" 758 kB
[ebuild     U  ] media-plugins/gst-plugins-pulse-0.10.31:0.10 [0.10.30:0.10] 0 kB
[ebuild     U  ] net-wireless/bluez-4.101-r5 [4.99] USE="alsa consolekit gstreamer pcmcia readline usb -cups -debug (-selinux) -test-programs (-caps%)" PYTHON_SINGLE_TARGET="python2_7%* -python2_6%" PYTHON_TARGETS="python2_7%* -python2_6%" 867 kB
[ebuild     U  ] x11-drivers/xf86-input-mouse-1.8.1 [1.7.2] 0 kB
[ebuild  N     ] sys-fs/cryptsetup-1.4.3  USE="nls udev (-selinux) -static -static-libs" 780 kB
[ebuild     U  ] sys-fs/udisks-1.0.4-r4 [1.0.4-r2] USE="nls -debug -remote-access (-selinux)" 0 kB
[ebuild  NS    ] sys-fs/udisks-2.0.91:2 [1.0.4-r2:0] USE="crypt gptfdisk introspection -debug (-selinux) (-systemd)" 795 kB
[ebuild     U  ] gnome-base/gnome-2.32.1-r2:2.0 [2.32.1:2.0] USE="cdr dvdr ldap policykit -accessibility -cups -mono" 0 kB
[ebuild  N     ] gnome-base/libgdu-3.0.2  USE="gnome-keyring -avahi -doc" 0 kB
[uninstall     ] sys-apps/gnome-disk-utility-3.0.2-r200  USE="gnome-keyring nautilus -avahi -doc -fat -remote-access"
[blocks b      ] <=sys-apps/gnome-disk-utility-3.0.2-r200 ("<=sys-apps/gnome-disk-utility-3.0.2-r200" is blocking gnome-base/libgdu-3.0.2)
[ebuild   R    ] gnome-base/gvfs-1.12.3  USE="cdda gdu gnome-keyring http udev -afp -archive -avahi -bluetooth* -bluray -doc -fuse -gphoto2 -ios -samba (-udisks)" 0 kB

Total: 186 packages (125 upgrades, 1 downgrade, 14 new, 13 in new slots, 33 reinstalls, 2 uninstalls), Size of downloads: 926,015 kB
Fetch Restriction: 1 package (1 unsatisfied)
Conflict: 26 blocks

Fetch instructions for dev-java/sun-jdk-1.6.0.39-r1:
 *
 * Due to Oracle no longer providing the distro-friendly DLJ bundles, the package
 * has become fetch restricted again. Alternatives are switching to
 * dev-java/icedtea-bin:6 or the source-based dev-java/icedtea:6
 *
 * Oracle requires you to download the needed files manually after
 * accepting their license through a javascript capable web browser.
 *
 * Download the following files:
 *   jdk-6u39-linux-x64.bin
 * at 'http://www.oracle.com/technetwork/java/javase/downloads/jdk6downloads-1902814.html'
 * and move them to '/usr/portage/distfiles'
 *

!!! The following installed packages are masked:
- dev-util/eclipse-sdk-3.5.1-r1::gentoo (masked by: package.mask)
/usr/portage/profiles/package.mask:
# Ralph Sennhauser <sera@gentoo.org> (18 Jul 2012)
# Unmaintained, multiple vulnarabilities. #351626
# A more recent source build maintained by the community is available in the
# seden overlay. A more recent binary is available in the java-overlay.

For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.


I still see "bluez" upgrade in the world merge.

Any idea?

Thank you.

P.S.: Also Java download page gives me update 41 and not update 39.
Where can I find the proper version?
Back to top
View user's profile Send private message
ONEEYEMAN
Advocate
Advocate


Joined: 01 Mar 2005
Posts: 2049

PostPosted: Wed Feb 27, 2013 9:48 pm    Post subject: Reply with quote

Here are the packages that has to be re-emerged with "-bluetooth" USE-flag.

I will try to merge them one by one and it will hopefully get rid of the "bluez" mentioning in world...

Code:

IgorReinCloud distfiles # emerge -pvuDN world | grep blu
[ebuild   R    ] media-video/totem-2.32.0-r2  USE="nautilus youtube -bluetooth* -debug -iplayer -lirc -nsplugin -python (-tracker) -upnp-av% (-doc%) (-upnp%)" 0 kB
[ebuild   R    ] app-laptop/laptop-mode-tools-1.60-r1  USE="acpi apm -bluetooth* -scsi" 0 kB
[ebuild   R    ] media-sound/pulseaudio-2.1-r1  USE="X alsa asyncns caps dbus gdbm glib gnome gtk ipv6 orc ssl tcpd udev webrtc-aec -avahi -bluetooth* -doc -equalizer -jack -libsamplerate -lirc (-oss) -realtime (-system-wide) (-systemd) {-test} -xen" 0 kB
[ebuild     U  ] net-wireless/bluez-4.101-r5 [4.99] USE="alsa consolekit gstreamer pcmcia readline usb -cups -debug (-selinux) -test-programs (-caps%)" PYTHON_SINGLE_TARGET="python2_7%* -python2_6%" PYTHON_TARGETS="python2_7%* -python2_6%" 867 kB
[ebuild   R    ] gnome-base/gvfs-1.12.3  USE="cdda gdu gnome-keyring http udev -afp -archive -avahi -bluetooth* -bluray -doc -fuse -gphoto2 -ios -samba (-udisks)" 0 kB


Thank you.
Back to top
View user's profile Send private message
Bones McCracker
Veteran
Veteran


Joined: 14 Mar 2006
Posts: 1563
Location: U.S.A.

PostPosted: Wed Feb 27, 2013 10:13 pm    Post subject: Reply with quote

In addition to what I told you earlier, make sure bluez isn't in your world file (in other words, unmerge it). It may be nothing but the world file depending on it, if you ever explicitly emerged bluez.

Beyond that, you now have the knowledge you need to solve this problem. You know how to determine what is depending on upon a package, and how to adjust USE flags or remove packages to eliminate the dependencies. If you're still seeing it wanting to emerge bluez, you must determine what is depending upon it, and you must eliminate the dependency.

If you can't, then you'll just have to live with it. Gnome and KDE both come encumbered with unnecessary dependencies (i.e., they force some things on users which the users may not need).
_________________
True Liberals are individualists. Democrats, on the other hand, are authoritarian collectivists.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum